﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace EmptyDataSample
{
   public class EmptyChartSample : ContentPage
    {
       ObservableCollection<ChartDataPoint> data1;

        SfChart chart;

        Button addData, removeData;

        StackLayout stackLayout;

        ColumnSeries columnSeries;

        NumericalStripLine numericalStripLine;

        NumericalAxis numericalAxis;

        public EmptyChartSample()
        {
            data1 = new ObservableCollection<ChartDataPoint>();
            numericalStripLine = new NumericalStripLine();

            chart = new SfChart();
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            addData = new Button();
            addData.Text = "Add Data";
            addData.Clicked += addData_Clicked;

            removeData = new Button();
            removeData.Text = "Remove Data";
            removeData.Clicked += removeData_Clicked;

            stackLayout = new StackLayout();
            stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;

            data1.Add(new ChartDataPoint(0, 25));
            data1.Add(new ChartDataPoint(1, 75));
            data1.Add(new ChartDataPoint(2, 45));
            data1.Add(new ChartDataPoint(3, 55));
            data1.Add(new ChartDataPoint(4, 30));

            chart.PrimaryAxis = new NumericalAxis()
            {
                ShowMajorGridLines = false,
            };
            numericalAxis = new NumericalAxis();
            numericalAxis.ShowMajorGridLines = false;

            AddStripLine();

            numericalAxis.StripLines.Add(numericalStripLine);
            chart.SecondaryAxis = numericalAxis;

            columnSeries = new ColumnSeries();
            chart.Series.Add(columnSeries);

            stackLayout.Children.Add(addData);
            stackLayout.Children.Add(removeData);
            stackLayout.Children.Add(chart);
            Content = stackLayout;
        }

       void removeData_Clicked(object sender, EventArgs e)
       {
           columnSeries.ItemsSource = null;
           AddStripLine();
       }

       void addData_Clicked(object sender, EventArgs e)
       {
           columnSeries.ItemsSource = data1;
           numericalStripLine.Text = "";
       }
       public void AddStripLine()
       {
           numericalStripLine.Start = 0.4;
           numericalStripLine.Width = 0.2;
           numericalStripLine.Text = "No Data Available";
           numericalStripLine.LabelStyle.Font = Font.SystemFontOfSize(20);
           numericalStripLine.FillColor = Color.Transparent;
       }
    }
}
